; Change scale of selected blocks

(defun C:SBL (/ ScaleFactor BlockObjects Count)

  (setvar "CMDECHO" 0)

;;;
  (initget (+ 1 2 4)) ; No null, no zero, no negative values
  (setq ScaleFactor (getreal "\nEnter scale factor: "))

;;; Get entities
  (princ "Select blocks...")
  (setq BlockObjects
    (ssget
     '(                    ; Enter filter criteria
        (0 . "INSERT")     ; Get blocks (and xrefs)
        ;(2 . "BLOCKNAME")  ; with the name of "BLOCKNAME"
      )
    )
  )

;;; Modify entities
  (setq Count 0)
  (repeat (sslength BlockObjects)
    (command "scale" (ssname BlockObjects Count) ""
      (cdr (assoc 10 (entget (ssname BlockObjects Count))))
      ScaleFactor
    )
    (setq Count (1+ Count))
    (princ (strcat "\rEditing " (itoa Count) " of " (itoa (sslength BlockObjects))))
  )

;;; Exit routine
  (setvar "CMDECHO" 1)
  (princ)
)